#1800 closed defect (wontfix)

PowerPC: IEEE 754 conformance of e200/e500 embedded floating point unit

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: ralf.corsepius@… Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

For full IEEE 754 conformance of the e200 and e500 embedded floating point unit we need software support. This consists of an exception handler that decodes the offending instruction and provides the results via a software floating point implementation.

The suggested software floating point library is:

http://www.jhauser.us/arithmetic/SoftFloat.html

Change History (9)

comment:1 Changed on May 19, 2011 at 5:17:52 AM by Sebastian Huber

dependson: 1740
Owner: changed from Joel Sherrill to Sebastian Huber

comment:2 Changed on May 19, 2011 at 5:18:14 AM by Sebastian Huber

Status: newassigned

comment:3 Changed on May 19, 2011 at 5:52:43 AM by Ralf Corsepius

Cc: Ralf Corsepius added

comment:4 Changed on May 19, 2011 at 7:03:36 AM by Sebastian Huber

Replying to comment:3:

Replying to comment:2:

Replying to comment:1:

Replying to comment:0:

For full IEEE 754 conformance of the e200 and e500 embedded floating point unit
we need software support. This consists of an exception handler that decodes
the offending instruction and provides the results via a software floating
point implementation.

The suggested software floating point library is:

http://www.jhauser.us/arithmetic/SoftFloat.html

I fail to understand this proposal, once again presented in eat-or-die fashion.

What do you mean with "eat-or-die fashion"?

Let me answer in German: Most of your proposals are presented in a way, you are
telling "I must have, eat it or die"

It's not my fault that this hardware floating point unit is that way.

In German: Die meisten Deiner Vorschläge lassen sich auf einen Satz
zusammenfassen der lautet "friss das oder strib".

RTEMS uses newlib's soft-float - What's wrong with it?

The e200 and e500 embedded floating point unit is a hardware floating point
unit.

=> Integrate it into newlib or gcc.

I absolutely don't understand what this has to do with Newlib or GCC.

The Linux equivalent is here:

http://lxr.free-electrons.com/source/arch/powerpc/math-emu/math_efp.c?a=powerpc

comment:5 Changed on Apr 1, 2014 at 11:28:22 AM by Sebastian Huber

Milestone: 4.114.12

comment:6 Changed on Nov 20, 2014 at 3:31:07 AM by Chris Johns

Milestone: 4.124.11

comment:7 Changed on Nov 21, 2014 at 12:33:44 PM by Sebastian Huber

Description: modified (diff)
Resolution: wontfix
Status: assignedclosed

No demand to fix this from the users in the last four years.

comment:8 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:9 Changed on Dec 12, 2014 at 7:24:41 AM by Sebastian Huber

Description: modified (diff)
Milestone: 4.124.11
Resolution: wontfix
Status: assignedclosed
Note: See TracTickets for help on using tickets.